Page MenuHomePhabricator

Search "Tags" input mode not consistently showing pending indicator while fetching autocomplete results
Closed, InvalidPublic

Description

The "keywords" input field gets a stripy "pending" indicator while autocomplete results are being fetched, and this should be the same for the "tags" input field.
This is working fine on labs & Matthias's local environment, but Cormac reports it's not for him.
For some reason, .oo-ui-tagMultiselectWidget.oo-ui-widget-enabled .oo-ui-tagMultiselectWidget-handle background-color is overwriting the pending background.

So, it appears that we can get in a state where the order of assets (I suspect) affects how this is being displayed, and this needs to be fixed.

Acceptance criteria:

  • When typing characters in the "Tags" autocomplete, the input field should show it's loading while autocomplete results are being fetched.

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptMar 29 2019, 12:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF triaged this task as Medium priority.Mar 29 2019, 7:06 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Apr 1 2019, 3:55 PM
Restricted Application added a project: Structured-Data-Backlog. · View Herald TranscriptMar 16 2020, 3:38 PM
Ramsey-WMF closed this task as Invalid.Jul 20 2020, 8:38 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Old Issue that doesn't apply to the current system.